<template>
    <div>
        <el-upload
            ref="upload"
            action="#"
            :before-upload="beforeUpload"
            :http-request="uploadFile"
            :file-list="fileList"
            :on-success="uploadFileSuccess"
            accept=".xls, .xlsx"
            :limit="1"
            :auto-upload="true"
        >
            <el-button size="small" type="primary">导入</el-button>
        </el-upload>
    </div>
</template>
<script>
import { yearPlanDetailImport } from '../../../../../assets/api/api';
export default {
    data() {
        return {
            fileList: []
        }
    },
    methods: {
        /**
         * @desc 上传文件
         */
        beforeUpload(file) {
            this.fileList = [file]
        },
        /**
         * @desc 上传至服务器
         */
        async uploadFile() {
            console.log('文件', this.fileList[0])
            let formData = new FormData()
            formData.append('file', this.fileList[0])
            const { code, data } = await this.$axios({
                method: 'post',
                url: yearPlanDetailImport,
                data: formData,
                headers: {
                    'Content-Type': 'multipart/form-data;'
                },
                noQs: true
            })
            if(code == 200) {
                this.$emit('upload')
            }
        },
        uploadFileSuccess() {
            this.$refs.upload.clearFiles()
        }
    }
}
</script>